---
# tasks file for ansible_role_ha

- name: Import required variables task
  import_tasks: required_variables.yml

- name: Install Pacemaker and Corosync packages
  import_role:
    name: ansible_role_packages
  vars:
    packages: "{{ ha_packages }}"

- name: Open ports for HA in Firewalld
  ansible.posix.firewalld:
    service: high-availability
    permanent: yes
    state: enabled
    zone: "{{ ha_firewalld_zone }}"
  when: ha_firewalld_enabled
  notify: Reload the firewall

- name: flush handlers
  meta: flush_handlers

- block:
    - name: Add all nodes to hosts file
      lineinfile:
        dest: /etc/hosts
        line: "{{ item.ip }} {{ item.name }}"
        state: present
        backup: yes
      with_items: '{{ ha_cluster_nodes }}'
      when: ha_manage_hosts

    - name: Remove localhost reference to hostname
      lineinfile:
        dest: /etc/hosts
        regexp: '^127\.0\.0\.1\s*{{ ansible_hostname }}.*'
        state: absent

    - name: Remove line in cloud-init
      lineinfile:
        dest: /etc/cloud/cloud.cfg
        regex: 'update_etc_hosts'
        state: absent
  when: ha_manage_hosts

- name: Apply pcs tasks
  import_tasks: pcs.yml
